Rally Software

Expand all | Collapse all

Rally export all attachments

  • 1.  Rally export all attachments

    Posted 03-07-2017 01:31 PM

    Hello, I am try to export all attachments by using https://github.com/markwilliams970/Rally-Export-Attachments but looks like script is not working. Got following error messages:

    ruby export-workspace-attachments.rb Using Ruby version: 2.3.3-p222 Attempting connection to Rally as username: user@company.com at URL: ht tps://rally1.rallydev.com/slm... Connection to Rally succeeded. C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/httpclient-2.6.0.1/lib/httpclient/session.rb:746:in connect': Object#timeout is deprecated, use Timeout.timeout instead. C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rally_api-1.2.1/lib/rally_api/rally_json_connection.rb:142:inrescue in send_request': RallyAPI: - rescued exception - getaddrinfo: No such host is known. (http s://rally1.rallydev.com:443) on request to http s://rally1.rallydev.com/slm/webservice/2.0/workspace .js with params {:pagesize=>200, :start=>1, :query=>nil, :fetch=>"Name", :workspace=>"h ttp s://rally1.rallydev.com/slm/webservice/2.0/workspace/123456789.js", :projectScopeUp=>false, :projectScopeDown=>false} (StandardError) from C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rally_api-1.2.1/lib/rally_api/rally_json_connection.rb:136:in send_request' from C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rally_api-1.2.1/lib/rally_api/rally_json_connection.rb:99:inget_all_json_results' from C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rally_api-1.2.1/lib/rally_api/rally_rest_json.rb:288:in find' from export-workspace-attachments.rb:142:inget_workspace' from export-workspace-attachments.rb:236:in `'

     



  • 2.  Re: Rally export all attachments

    Posted 03-08-2017 06:49 AM

    Qijiang60,

     

    It looks like the code is not able to resolve the Agile Central URL.  Is there a proxy on your network?

     

    If so, you may try setting your proxy variable as described in this post, "how to set proxy for command prompt?" on Stackoverflow.

     

    You may also suppress the deprecation warning by running the ruby command:

     

    ruby -W0 ./export-workspace-attachments.rb

     

    Hope that helps.

     

    Michael